/*
  This code shows how to write a SDL Text Class using an OpenGL window,
  it uses SDL_ttf as a text creator.

  For any problem of installation or usage, please send me a message : 
	http://www.developpez.net/forums/private.php?do=newpm&u=78956

  Copyright (C) 2007 Beyler Jean Christophe

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#ifndef H_CTEXTE
#define H_CTEXTE

#include <string>
#include <GL/gl.h>
#include <SDL_ttf.h>

class CTexte
{
 
	private :
        GLuint surface;
        std::string message;
        float textx, texty;
 
		SDL_Color color;
        int rasterx, rastery;
        int width, height;

		TTF_Font* font;
        bool font_a_nous;
 
	public :
        CTexte();
        ~CTexte();

        bool ChargerPolice(TTF_Font *font, bool anous = false);
		bool ChargerPolice(std::string police, int size, int R, int G, int B);
        
        bool AffTexte();
        bool AffTexte(std::string message);
        bool AffTexte(int x, int y);
		bool AffTexte(std::string message, int x, int y);

		void SetPosition(int x, int y);
 
};

#endif
